body {
  padding-bottom: 72px;
}

.debug-bar .nav-link {
  color: #fff;
}

.debug-bar.mini {
    width: 58px;
    overflow: hidden;
}

.debug-bar.mini .debug-nav-item {
  display: none;
}

.debug-bar.mini .container {
    display: none;
}

.debug-bar .mysql-queries {
  cursor: pointer;
}


.modal-profiling-details {
  padding: 0 20px;
  max-height: 70vh;
  overflow-y: auto;
}

.modal-profiling-details table {
  margin: 20px 0;
}

.nav.actions button {
  margin: 0 5px 0 0;
}

label.required:after
{
  color: #d00;
  content: "*";
}

.logs-table tr th.direction {
  width: 40px;
}

.transactions tr th.date-time {
  min-width: 90px;
  max-width: 90px;
}


.logs-table tr th.date-time {
  width: 170px;
}

.log-message-content-container {
  display: none;
  background: #f5f5f5;
  padding: 10px;
}

.log-message-content-container td {
  position: relative;
}

.log-raw-message-content-label {
  position: absolute;
  right: 10px;
  top: 10px;
  cursor: pointer;
}

.log-raw-message-content {
  display: none;
}

pre.log-message-content,
pre.log-raw-message-content {
  max-width: 100%;
  white-space: pre-wrap;
  word-break: break-all;
}

table th.width-40,
table td.width-40 {
  width: 40px;
}

table th.width-100,
table td.width-100 {
  width: 100px;
}

table th.width-160,
table td.width-160 {
  width: 160px;
}

table th.width-200,
table td.width-200 {
  width: 200px;
}

table th.width-220,
table td.width-220 {
  width: 220px;
}

table th.width-auto,
table td.width-auto {
  width: auto;
}

.detail-block span {
  font-weight: 400;
}

/* payment form */
#payment-container {
  min-height: 300px;
}

#log-container {
  display: none;
}

#log-container-text {
  height: 300px;
  overflow: scroll;
}

#log-container .info-line {
  height: 30px;
  margin-bottom: 25px;
}

#log-container .info-line div span {
  width: 30px;
  height: 1.5em;
}

.table td, .table th {
  padding: 0.5rem;
}

.table td span.short-col {
  text-overflow: ellipsis;
  overflow: hidden;
  width: 75px;
  white-space: nowrap;
  display: inline-block;
}

@media (min-width: 768px) {
  .submit-button-block > div {
    position: fixed;
  }

  .submit-button-block button {
    position: absolute;
  }
}

table.transactions .transaction-status.badge {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  display: inline-block;
  max-width: 100px;
}

table.transactions .transaction-hashed-pan {
  max-width: 200px;
  white-space: nowrap;
  overflow-x: auto;
}
